pqxx::notification_receiver Class Referenceabstract

`#include <notification.hxx>`

## Public Member Functions

| notification_receiver (connection_base &c, const std::string &channel)
| Register the receiver with a connection. More...
| notification_receiver (const notification_receiver &)=delete
notification_receiver & | operator= (const notification_receiver &)=delete
virtual | ~notification_receiver ()
const std::string & | channel () const
| The channel that this receiver listens on. More...
virtual void | operator() (const std::string &payload, int backend_pid)=0
| Overridable: action to invoke when notification arrives. More...

## Protected Member Functions

connection_base & | conn () const noexcept

## Constructor & Destructor Documentation

## notification_receiver() [1/2]

pqxx::notification_receiver::notification_receiver | ( | connection_base & | c,
|  | const std::string & | channel
| ) |  |

Register the receiver with a connection.

Parameters

  c | Connnection to operate on.
  channel | Name of the notification to listen for.

## notification_receiver() [2/2]

pqxx::notification_receiver::notification_receiver | ( | const notification_receiver & |  | ) |

delete

## ~notification_receiver()

pqxx::notification_receiver::~notification_receiver | ( |  | ) |

virtual

## Member Function Documentation

## channel()

const std::string& pqxx::notification_receiver::channel | ( |  | ) | const

The channel that this receiver listens on.

## conn()

connection_base& pqxx::notification_receiver::conn | ( |  | ) | const

protected noexcept

## operator()()

virtual void pqxx::notification_receiver::operator() | ( | const std::string & | payload,
|  | int | backend_pid
| ) |  |

pure virtual

Overridable: action to invoke when notification arrives.

Parameters

  payload | On PostgreSQL 9.0 or later, an optional string that may have been passed to the NOTIFY command.
  backend_pid | Process ID of the database backend process that served our connection when the notification arrived. The actual process ID behind the connection may have changed by the time this method is called.

## operator=()

notification_receiver& pqxx::notification_receiver::operator= | ( | const notification_receiver & |  | ) |

delete

The documentation for this class was generated from the following files:

- notification.hxx
- notification.cxx